Package wx :: Package lib :: Package agw :: Module peakmeter :: Class PeakMeterCtrl

[frames | no frames]

## Type PeakMeterCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                PeakMeterCtrl

The main L{PeakMeterCtrl} implementation.

Method Summary
| ``__init__`(self, parent, id, pos, size, style)` Default class constructor.
| ``DoGetBestSize`(self)` Returns the best size for L{PeakMeterCtrl} (arbitrary).
| ``DoTimerProcessing`(self)` L{PeakMeterCtrl} animation, does the wx.EVT_TIMER processing.
| ``DrawHorzBand`(self, dc, rect)` Draw Vertical bands - No falloff effect for vertical bands.
| ``DrawVertBand`(self, dc, rect)` Draw Horizontal bands - with Falloff effect.
| ``GetFalloffEffect`(self)` Read falloff effect flag.
| ``GetRangeValue`(self)` Get Range value of L{PeakMeterCtrl}.
| ``InitData`(self)` Initializes the control.
| ``IsGridVisible`(self)` Returns if gridlines are visible.
| ``IsStarted`(self)` Check if animation is active.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for L{PeakMeterCtrl}.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for L{PeakMeterCtrl}.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for L{PeakMeterCtrl}.
| ``OnTimer`(self, event)` Handles the wx.EVT_TIMER events for L{PeakMeterCtrl}.
| ``ResetControl`(self)` Resets the L{PeakMeterCtrl}.
| ``SetBackgroundColor`(self, colorBgnd)` Set background color for L{PeakMeterCtrl}.
| ``SetBandsColor`(self, colorNormal, colorMedium, colorHigh)` Set bands color for L{PeakMeterCtrl}.
| ``SetData`(self, arrayValue, offset, size)` Change data value.
| ``SetFalloffDelay`(self, speed)` Set Peak value speed before falling off.
| ``SetFalloffEffect`(self, falloffEffect)` Set falloff effect flag.
| ``SetMeterBands`(self, numBands, ledBands)` Set number of Vertical or Horizontal bands to display.
| ``SetRangeValue`(self, minVal, medVal, maxVal)` Sets the ranges for low, medium and high bands.
| ``ShowGrid`(self, showGrid)` Request to have gridlines visible or not.
| ``Start`(self, delay)` Start the timer and animation effect.
| ``Stop`(self)` Stop the timer and animation effect.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=1)
(Constructor)

    Default class constructor.

    @param parent: the L{PeakMeterCtrl} parent;
    @param id: the widget id;
    @param pos: the control position;
    @param size: the L{PeakMeterCtrl} size;
    @param style: the widget style, which can be PM_VERTICAL for a vertical
                  L{PeakMeterCtrl} or PM_HORIZONTAL for an horizontal one.

  Overrides:
    `wx.PyControl.__init__`

### DoGetBestSize(self)

Returns the best size for L{PeakMeterCtrl} (arbitrary).

  Overrides:
    `wx.PyControl.DoGetBestSize`

### DoTimerProcessing(self)

L{PeakMeterCtrl} animation, does the wx.EVT_TIMER processing.

### DrawHorzBand(self, dc, rect)

Draw Vertical bands - No falloff effect for vertical bands.

### DrawVertBand(self, dc, rect)

Draw Horizontal bands - with Falloff effect.

### GetFalloffEffect(self)

Read falloff effect flag.

### GetRangeValue(self)

Get Range value of L{PeakMeterCtrl}.

### InitData(self)

Initializes the control.

### IsGridVisible(self)

Returns if gridlines are visible.

### IsStarted(self)

Check if animation is active.

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for L{PeakMeterCtrl}.

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for L{PeakMeterCtrl}.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for L{PeakMeterCtrl}.

### OnTimer(self, event)

Handles the wx.EVT_TIMER events for L{PeakMeterCtrl}.

### ResetControl(self)

Resets the L{PeakMeterCtrl}.

### SetBackgroundColor(self, colorBgnd)

Set background color for L{PeakMeterCtrl}.

@param colorBgnd: the background colour to apply.

### SetBandsColor(self, colorNormal, colorMedium, colorHigh)

Set bands color for L{PeakMeterCtrl}.

@param colorNormal: the color for normal (low) bands; @param colorMedium: the color for medium bands; @param colorHigh: the color for high bands.

### SetData(self, arrayValue, offset, size)

Change data value. Use this function to change only a set of values. All bands can be changed or only 1 band, depending on the application.

### SetFalloffDelay(self, speed)

Set Peak value speed before falling off.

### SetFalloffEffect(self, falloffEffect)

Set falloff effect flag.

### SetMeterBands(self, numBands, ledBands)

Set number of Vertical or Horizontal bands to display.

@note: obtain smooth effect by setting nHorz or nVert to "1", these
  cannot be 0.

### SetRangeValue(self, minVal, medVal, maxVal)

    Sets the ranges for low, medium and high bands.
    @note: condition to be satisfied is that:
           Min: [0 - nMin[,  Med: [nMin - nMed[,  Max: [nMed - nMax]

### ShowGrid(self, showGrid)

Request to have gridlines visible or not.

### Start(self, delay)

Start the timer and animation effect.

### Stop(self)

Stop the timer and animation effect.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:43 2009 | http://epydoc.sf.net